Bug 132693 - Kfontinstaller broken after kde upgrade
Summary: Kfontinstaller broken after kde upgrade
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL: http://www.hameijer.nl/tmp/kcontroler...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-15 21:04 UTC by Rik Meijer
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-16 12:59:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rik Meijer 2004-09-15 21:04:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
After upgrading to kde-3.3 (development release) I recieved this error when selecting the font installer tool from the control center. My guess is that the rpms aren't completly developed ;).

The diagnostics is:
/usr/lib/libkfontinst.so.0: undefined symbol: FTC_Manager_LookupFace
Possible reasons:
An error occurred during your last KDE upgrade leaving an orphaned control module
You have old third party modules lying around.
Check these points carefully and try to remove the module mentioned in the error message. If this fails, consider contacting your distributor or packager.

Version-Release number of selected component (if applicable):
kde-3.3

How reproducible:
Always

Steps to Reproduce:
1. Open Control Center
2. Select fontinstaller module in control center
    

Actual Results:  I recieved this error:
The diagnostics is:
/usr/lib/libkfontinst.so.0: undefined symbol: FTC_Manager_LookupFace
Possible reasons:
An error occurred during your last KDE upgrade leaving an orphaned control module
You have old third party modules lying around.
Check these points carefully and try to remove the module mentioned in the error message. If this fails, consider contacting your distributor or packager.

Expected Results:  I expected to see the fontinstaller module.

Additional info:

Comment 1 Owen Taylor 2004-09-15 21:34:59 UTC
FTC_Manager_LookupFace is a FreeType symbol, but I think this
is a KDE issue... it was probably built against a different
version of FreeType than you are using.

Not clear here if you are using our KDE packages or not. I'm 
reassigning to kde, but if it isn't our packages, then it 
doesn't really belong in bugzilla.redhat.com.

Comment 2 Rik Meijer 2004-09-15 21:43:54 UTC
I used yum update kde* after uncommenting the fedora development 
entry in yum.conf, so my guess is that I used your packages. 

Comment 3 Ngo Than 2004-09-16 12:59:26 UTC
i did not build the kde-3.3 for fc2 yet, so i don't think it's our KDE
packages.


Note You need to log in before you can comment on or make changes to this bug.